Subject: bug#57515: closed (Re: bug#57515: [PATCH 0/8] Stop unmirroring during updates.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Sep 2022 20:36:02 +0000

Your bug report

#57515: [PATCH 0/8] Stop unmirroring during updates.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57515: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57515
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57515: [PATCH 0/8] Stop unmirroring during updates.
From: Ludovic Courtès <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Sep 2022 22:35:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> skribis:

>   guix: Extract logic of the check-mirror-url.
>   gnu-maintenance: Produce mirror:// URIs in latest-ftp-release.
>   gnu-maintenance: Produce mirror:// URIs in latest-html-release.
>   download: Switch savannah mirrors to HTTPS URLs.
>   gnu-maintenance: Simplify latest-savannah-release.
>   download: Add a kernel.org mirror.
>   gnu-maintenance: Simplify latest-kernel.org-release.
>   gnu-maintenance: Remove unused procedures.

I applied the whole series, with cosmetic changes on the first patch
and minor tweaks to the commit logs.

Thanks!

Ludo’.

Subject: [PATCH 0/8] Stop unmirroring during updates.
From: Maxime Devos <[email-masked]>
To: [email-masked]
Cc: Maxime Devos <[email-masked]>
Date: Thu, 1 Sep 2022 11:00:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series fixes #57477
(‘"guix refresh -u" sometimes 'unmirrors' source URLs’)
(at least, for the cases that I tested).  The individual commits
have proposals for what packages to test things on.

Due to the new behaviour of 'latest-html-release', a few
simplifications were possible in other updaters.  However,
to keep 57477 fixed, some URLs in (guix download) had to be
switched from http to https.

I'm currently running "make check", not yet completed.

Maxime Devos (8):
  guix: Extract logic of the check-mirror-url.
  gnu-maintenance: Produce mirror:// URIs in latest-ftp-release.
  gnu-maintenance: Produce mirror:// URIs in latest-html-release.
  download: Switch savannah mirrors to HTTPS URLs.
  gnu-maintenance: Simplify latest-savannah-release.
  download: Add a kernel.org mirror.
  gnu-maintenance: Simplify latest-kernel.org-release.
  gnu-maintenance: Remove unused procedures.

 guix/download.scm        | 17 ++++-----
 guix/gnu-maintenance.scm | 74 ++++++++++++++++++++++------------------
 guix/lint.scm            | 23 ++++---------
 3 files changed, 56 insertions(+), 58 deletions(-)

base-commit: 57f8f69562e942557e3331bb81c7e4acd973d189
-- 
2.37.2